<div class="container-fluid" *ngIf="isExistVenue">
    <app-bill-header [ID_BILLTYPE]="ID_BILL_TYPE" (emmitType)="showType($event)">
    </app-bill-header>
    <form novalidate [formGroup]="form">
        <div class="row tky-top-buffer  tky-full-width mat-elevation-z2 bg-success" >
          <div class="col col-xs-12 col-md-5  ky-full-width">
            <mat-card class="tky-top-buffer text-center">
            
              <mat-card-title>Punto de Origen</mat-card-title>
                <h3 *ngIf="!form.value['is_principal_origen']">
                  <mat-form-field class="example-full-width text-white">
                    <mat-select placeholder="Seleccionar una sede" formControlName="origen">
                      <mat-option *ngFor="let element of thirdStoreVenueOrigen" required [value]="element">
                        <span>{{ element?.info?.fullname }}</span>
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </h3>
                <mat-card-footer>
                    <mat-checkbox class="example-margin" formControlName="is_principal_origen">
                      <strong>Mi Tienda</strong>
                    </mat-checkbox>
                </mat-card-footer>
            </mat-card>
          
          </div>
          <div class="col col-xs-12 col-md-2 ky-full-width">
            <br>
            <br>
            <br>
            <button mat-raised-button color="warn"  (click)="changeVenuePair()" class="tky-full-width"> 
              <mat-icon>arrow_back</mat-icon> Invertir  <mat-icon>arrow_forward</mat-icon> 
            </button>
           
           
            
          </div>
          
          <div class="col col-xs-12 col-md-5 ky-full-width">
            <mat-card class="tky-top-buffer text-center">
              <mat-card-title>Punto de Destino</mat-card-title>
              <h3 *ngIf="!form.value['is_principal_destinity']">
                  <mat-form-field class="example-full-width text-white">
                    <mat-select placeholder="Seleccionar una sede" formControlName="destinity">
                      <mat-option *ngFor="let element of thirdStoreVenueDestinity" required [value]="element">
                          <span>{{ element?.info?.fullname }}</span>
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </h3>
                <mat-card-footer>
                    <mat-checkbox class="example-margin" formControlName="is_principal_destinity">
                      <strong>Mi Tienda</strong>
                    </mat-checkbox>
                </mat-card-footer>
            </mat-card>
          </div>
          <button mat-raised-button  (click)="addDocument('docu')" class="tky-top-buffer tky-right">
              <mat-icon>description</mat-icon>{{documentDTO?.body!=null ? "Ver Documento":"Agregar Documento" }}  
          </button>
        </div>

      <div class="row tky-full-width" *ngIf="form.value['is_principal_origen'] ? idsInventoryDic[CURRENT_ID_THIRD_PATHER] : idsInventoryDic[form.value['origen'].id_third]">
        <div class="col tky-full-width">
          <mat-card class=" tky-full-width tky-top-buffer text-center">
            <mat-card-title>Lector de Código de Barras</mat-card-title>
            <h3>
              <mat-form-field class="example-full-width text-white">
                <mat-select placeholder="Simulación de lectura de Código de Barras" formControlName="codeProd">
                  <mat-option 
                  *ngFor="let element of form.value['is_principal_origen'] ? idsInventoryDic[CURRENT_ID_THIRD_PATHER] : idsInventoryDic[form.value['origen'].id_third] " 
                  required [value]="element">
                    <span>{{ element.description.code}} -> {{ element.product.name_product}}</span>
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </h3>
          </mat-card> 
        </div>     
      </div>
    </form>
    
    
    <div *ngIf="detailBillingDTOList.length>0">
      <app-bill-detail [DETAILLIST]="detailBillingDTOList" [TYPE_NAME]="TYPE_NAME" [TOTAL_PRICE]="TOTAL_PRICE" (detailEmitter)="getDetails($event)">
      </app-bill-detail>
  
      <button mat-raised-button  (click)="save()" class="tky-top-buffer tky-right">Cerrar Factura</button>
      
      
    </div>
  </div>
  <div class="container-fluid"  *ngIf="!isExistVenue">
    <div class="row tky-top-buffer  tky-full-width mat-elevation-z2 bg-success" >
      <div class="col col-xs-12 col-md-12  ky-full-width">
        <mat-card class="tky-top-buffer text-center">
          <mat-card-title>NO TIENE SEDES</mat-card-title>
        </mat-card>
      </div>
    </div>
  </div>
  
